* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* min nav bar  */

.navbar {
    overflow: hidden;
    background-color: #012030;
    width: fit-content;
    /* margin: auto; */
}

.navbar a {
    float: left;
    font-size: 16px;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    margin: auto;
}

.subnav {
    float: left;
    overflow: hidden;
}

.subnav .subnavbtn {
    font-size: 16px;
    border: none;
    outline: none;
    color: white;
    padding: 14px 16px;
    margin: 0;
    background-color: #012030;
}

.navbar a:hover,
.subnav:hover .subnavbtn {
    background-color: #13678A;
    color: black;
}

.subnav-content {
    display: none;
    position: absolute;
    left: 0;
    background-color: #13678A;
    width: 100%;
    z-index: 1;
    width: 100%;
}

.subnav-content a {
    float: left;
    color: white;
    text-decoration: none;
}

.subnav-content a:hover {
    background-color: #eee;
    color: black;
}

.subnav:hover .subnav-content {
    display: block;
}


/* Darkmode */
.button1 {
    background-color: #012030;
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
}

.darkmode {
    background-color: gray;
    color: black;
    filter: grayscale(100%);
}


#gridWrapper {
    background-color: white;
    border: black solid 5px;
    border-top: none;
    display: grid;
    grid-template-rows: 50px repeat(4, 1fr) 50px;
    grid-template-areas:
        " navbar "
        " zzx "
        " zzx "
        " zzx "
        " zzx "
        "footer";
}

header {
    grid-area: header;
}

nav {
    grid-area: navbar;
    background-color: #012030;
    position: relative;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 10;
}

.zz {
    background-color: white;
    margin-bottom: 30px;
    grid-area: zzx;
    display: grid;
    row-gap: 30px;
    grid-template-rows: repeat(4, 1fr);
    grid-template-areas:
        "zs1"
        "zs2"
        "zs3"
        "zs4";
}

.z {
    display: grid;
    grid-template-columns: 1fr 3fr;
    grid-template-rows: repeat(1, 1fr);
    grid-template-areas:
        "zimg ztext";

}

#z1 {
    grid-area: zs1;
}

#z2 {
    grid-area: zs2;
}

#z3 {
    grid-area: zs3;
}

#z4 {
    grid-area: zs4;
}

.textz {
    background-color: white;
    max-width: 1070px;
    padding: 10px;
    grid-area: ztext;
    max-width: 700px;
}

.zmig {
    grid-area: zimg;
}






footer {

    border: solid thick black;
    border-right: none;
    border-left: none;
    border-bottom: none;
    grid-area: footer;
    background-color: #f2f2f2;
    text-align: center;
}

footer p {
    margin: 0;
    font-size: 14px;
}

footer ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

footer li {
    display: inline-block;
    margin: 0;
}

footer a {
    color: #555;
    text-decoration: none;
    font-size: 14px;
}

footer a:hover {
    color: #000;
}

img {
    border-radius: 50%;
}

/* 
breakpoint  */

@media only screen and (max-width:680px) {
    .z {
        display: grid;
        max-width: 1200px;
        margin: auto;
        grid-template-columns: 1fr;
        grid-template-rows: repeat(2, 1fr);
        grid-template-areas:
            "zimg "
            "ztext";

    }

    #gridWrapper {
        background-color: white;
        border: black solid 5px;
        border-top: none;
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 50px repeat(4, 1fr) 50px;
        grid-template-areas:
            " navbar "
            " zzx "
            " zzx "
            " zzx "
            " zzx "
            "footer";
    }

    .zmig {
        margin: auto;
        width: 50%;
    }
}

@media only screen and (min-width: 600px) {}

@media only screen and (min-width: 1024px) {
    #gridWrapper {
        display: grid;
        grid-template-rows: 50px repeat(4, 1fr) 50px;
        grid-template-columns: repeat(2, 1fr);
        grid-template-areas:
            " navbar navbar "
            "  zzx zzx "
            "  zzx zzx "
            "  zzx zzx "
            "  zzx zzx "
            "footer footer ";
    }

    p {
        font-family: 'Noto Serif', serif;

    }

    .zz {
        display: grid;
        grid-template-rows: repeat(4, 1fr);
        grid-template-areas:
            "zs1"
            "zs2"
            "zs3"
            "zs4"
        ;

    }

    .z {
        display: grid;
        max-width: 1200px;
        margin: auto;
        grid-template-columns: 1fr 3fr;
        grid-template-rows: repeat(1, 1fr);
        grid-template-areas:
            "zimg ztext";

    }

    .z img {
        width: 100%;
    }
}